package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.ParkingWay;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ParkingWayService {
	ParkingWay get(String id);
	boolean exist(String id);
	int insert(ParkingWay model);
	int update(ParkingWay model);
	int delete(String id);
	List<ParkingWay> list();
	Page<ParkingWay> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    ParkingWay findByCompanyId(String companyId);
}